ReactJS giving error Uncaught TypeError: Super expression must either be null or a function, not undefined

I am using ReactJS. When I run the code below the browser says: Uncaught TypeError: Super expression must either be null or a function, not undefined Any hints at all as to what is wrong would...

Using `react-bootstrap` with `npm`

I want to create a project using npm, and want to use react-bootstrap inside it. I have package.json with the following dependencies. { "name": "simple-webapp", "version": "0.0.1", ...

Is there a way to render multiple React components in the React.render() function?

For example could I do: import React from 'react'; import PanelA from './panelA.jsx'; import PanelB from './panelB.jsx'; React.render( <PanelA /> <PanelB />, document.body ); where...

Module Build Failed - Webpack, React, Babel

I was following a video tutorial from plural sight. Course name is "Building a Real-time App with React, Flux, Webpack, and Firebase". Please see below code and attached screen shot of the issue i...

Disable chrome react DevTools for production

I'm trying to browserify my react app for production using gulp and envify to setup NODE_ENV. So I can remove react warning, error reporting in the console, and even my code to disable some...

Browserify api: how to pass advanced option to script

I am writing a small script using the Browserify API and following the readme here. All works ok except when I need to pass a flag listed under the advanced options, for which there seems to be no...

Babel - Error: Cannot find module 'babel-runtime/helpers/typeof'

Transpiling via gulp-babel for the server and browserify with babelify for the client - using async and await in my code. These features seem to transform just fine, but... Error: Cannot find...

How to import jquery using ES6 syntax?

I'm writing a new app using (JavaScript) ES6 syntax through babel transpiler and the preset-es2015 plugins, as well as semantic-ui for the style. index.js import * as stylesheet from...

NPM: Why is this package installed?

How do I determine why a particular package is installed? In other words, what package(s) depend on this package? The package in question is babelify. npm ls shows it at the top level, but it is...

_reactDom2.default.render is not a function

consider the following react code the main.js file is: import React from 'react'; import ReactDOM from 'react-dom'; import Maincontainner from './maincontainner'; ReactDOM.render( <div> ...

babel ES7 Async - regeneratorRuntime is not defined

I'm using browserify + gulp + babel in my project, and having problem with ES7 features. These are what I...

Webpack cannot find module

I'm new on webpack and I'd like to use third party react component in my project. I installed the componet that i need and the dir node_modules was created and my project's tree look...

Can't match regex with sed

I'm trying to match a pattern (\^|\~?)(\d|x|\*)+\.(\d|x|\*)+\.(\d|x|\*)+ with sed without luck. The file I'm running through is this: { "name": "something", "version": "0.0.1", ...

Cannot find module 'react'

I'm attempting to integrate React into an existing web page. At this time, I'm unable to get my React app loaded. My React app has two files. At this time, they look like this: myApp.js import...

live-server can't find the file specified

I'm trying to setup a reactjs project and using live-server. My project structure - fa/ -node-modules/ ... -public/ bundle.js index.html -src/ app.js package.json My...

How do I resolve peer dependency error: The package [email protected] does not satisfy its siblings' peerDependencies requirements

I am getting this error when I run npm install. This seems because I am unable to satisfy some peer dependency but I am unsure which peer dependency I need to fix. λ npm install npm ERR!...

SyntaxError: 'import' and 'export' may appear only with 'sourceType: module' - Gulp

Consider the following two files: app.js import Game from './game/game'; import React from 'react'; import ReactDOM from 'react-dom'; export default (absPath) => { let gameElement...

TypeError: Cannot read property 'latest' of undefined

I am trying to install some dependencies using npm install, but I am facing issues with it. I new to npm, so I am not able to figure out what is the problem in it? Below is my command and its...

npm outdated command shows MISSING in current version

I have babelify in version 7.3.0 specified in devDependencies in my package.json file like below: "devDependencies": { ..., "babelify": "7.3.0", ... } Everything is going fine and the...

karma unable to find test files

I am using karma, browserify and babelify to run unit tests for angular 2. Whenever I run it it fails with a 404 error like this 25 05 2017 11:35:22.974:WARN [web-server]: 404:...

Npm module "" not found. Is it installed?

This is strange. Using this tutorial: https://ntdln.com/2017/07/25/using-javascript-modules/ I tried to do get the modules thing in JS. I run npm istall grunt-browserify --save-dev along with the...

Grunt build failing - ParseError: 'import' and 'export' may appear only with 'sourceType: module'

I have gone through many posts on github and stackoverflow. I have the following dev dependencies in my package.json for the es6 to es5 transpilation. "babel-cli": "^6.26.0", ...

Couldn't find preset "env" relative to directory

So far I have been unsuccessful in an attempt to use the env preset. I browsed the git issues that others have raised such as this, and implemented some of the suggestions that appeared to work...

How do I install node module @babel/plugin-transform-class-properties?

I have been following instructions from https://github.com/babel/babelify and I ran into an error along the way. I run the following line of code: browserify script.js -o bundle.js -t [ babelify...

Does the debugger command get removed after a minify

I hate javascript tooling. I have this config file: var source = require('vinyl-source-stream'); var gulp = require('gulp'); var tap = require('gulp-tap'); var gutil = require('gulp-util'); var...

Alternatives to deprecated Webpack's i18n plugin and loader

I'm working on a TypeScript project that needs to load translations from .json files, the intention is to have a single language file per country. Example: en.json, es.json. Then I should to be...

How to import/export modules in Gulp 4 with Browserify?

I'm trying to import one function in another. When I launch js compile task I got error ParseError: 'import' and 'export' may appear only with 'sourceType: module' I tried to fix it with...

How to correctly add fetch polyfill to be used by separate js files

On my website I load two separate scripts core-bundle.js and page-specific-bundle.js. Both scripts use fetch, and, as the name suggest, each one is bundled version (I'm using gulp with browserify)...

ParseError: 'import' and 'export' may appear only with 'sourceType: module', browserify

I am using django-compressor and I want to es5/es6 features on my project. I am setting the pre-compiler option as follow: NODE_MODULES = BASE_DIR / 'node_modules' COMPRESS_PRECOMPILERS = ( ...

Unexpected token when running babel with Typescript

I'm writing a tutorial about how to publish a Typescript library on Github and I'm having trouble getting babel and typescript to work together. I'm using the Greeter class from the Typescript...